<table border="0" cellpadding="10" cellspacing="10" width="100%">
                            <tr>
                                <td width="100%">
                                <p class="vezercikkcim">Szaknévsor</p>
<p>Az alábbi szolgáltatói kategóriák mögött, zárójelben a hirdetők száma látható. A Földrajzi keresővel beállításával a kategóriákban csak a kijelölt területen működő hirdetők jelennek meg.</p>
<?

define('NEXTVAL', '15');	// hany darab legyen egy oldalon

include_once('pl_sort.inc.php');


function p_lista(){

	global $filter,$filter2,$filter3;

	if($tipus==1){
		printf("<B>MIT HOL VEGYEK?</B>");
	} elseif($tipus==2){
		printf("<B>MIT HOL CSINÁLTASSAK?</B>");
	}

	$mydb = new db();
	$stmt="SELECT * FROM kk_kategoria ORDER BY nev";
	$result=$mydb->query($stmt);

	$numrows=mysql_num_rows($result);

	while ($row = mysql_fetch_object($result)) {
		$i++;
		if($i<($numrows/2)+1){
			$elso[]=$row->nev;
			$elso_id[]=$row->id;
		} else {
			$masodik[]=$row->nev;
			$masodik_id[]=$row->id;
		}
	}


	printf("<table border='0' width='100%%' cellspacing='10'>");

	for($j=0;$j<($numrows/2);$j++){
		printf("<tr><td width=50%%><a href=$PHP_SELF?c=%s&filter=$filter&filter2=$filter2&filter3=$filter3>%s %s</a></td><td width=50%%><a href=$PHP_SELF?c=%s&filter=$filter&filter2=$filter2&filter3=$filter3>%s %s</a></td></tr>", $elso_id[$j], $elso[$j], c_lista($elso_id[$j]), $masodik_id[$j], $masodik[$j], c_lista($masodik_id[$j]));
	}

	printf("</table>\n");
}


function c_lista($c){

	global $filter,$filter2,$filter3;

	if($c==0 || !isset($c)){
		return null;
		exit;
	}

	$mydb = new db();

	if($filter==""){
		$filter="0";
	}

	if($filter2==""){
		$filter2="0";
	}

	if($filter3==""){
		$filter3="0";
	}
	$allfilter="";
	if ($filter)	
	{
		if ($filter==45)	$allfilter=" (megye=45 OR megye2=45 OR megye3=45)";
		elseif ($filter==44)	$allfilter=" (megye=44 OR megye2=44 OR megye3=44)";
		else				$allfilter=" (megye=$filter OR megye2=$filter OR megye3=$filter) ";
	}
	if ($allfilter)	$osszallfilter="($allfilter)";
	
	switch($osszallfilter){
		case "":
			$stmt="SELECT COUNT(*) AS darab FROM kk_tag WHERE (kategoria_1=$c OR ((kategoria_2=$c OR kategoria_3=$c OR kategoria_4=$c OR kategoria_5=$c OR kategoria_6=$c OR kategoria_7=$c OR kategoria_8=$c) AND ext=1)) AND jovahagyva=1";
		break;

		case "100":
			$stmt="SELECT COUNT(*) AS darab FROM kk_tag LEFT JOIN kk_megye ON kk_megye.id=kk_tag.megye WHERE (kategoria_1=$c OR ((kategoria_2=$c OR kategoria_3=$c OR kategoria_4=$c OR kategoria_5=$c OR kategoria_6=$c OR kategoria_7=$c OR kategoria_8=$c) AND ext=1)) AND jovahagyva=1 AND INSTR(kk_megye.nev, 'Budapest')<>0";
		break;

		default:
			$stmt="SELECT COUNT(*) AS darab FROM kk_tag WHERE (kategoria_1=$c OR ((kategoria_2=$c OR kategoria_3=$c OR kategoria_4=$c OR kategoria_5=$c OR kategoria_6=$c OR kategoria_7=$c OR kategoria_8=$c) AND ext=1)) AND jovahagyva=1 AND $osszallfilter";
	}

	$result=$mydb->query($stmt);

	$row = mysql_fetch_object($result);

	return "(".$row->darab.")";

}


function in_array_letter($s_needle, $a_haystack) {

    while (list($key, $value)=each($a_haystack)) {
        $r_letter = strtolower(substr($value[0], 0, strlen($s_needle)));

        if (is_numeric($r_letter) && $s_needle === "0") {
            return TRUE;
            }

        if (strtolower($r_letter) == strtolower($s_needle)) {
            return TRUE;
            }
        }

return FALSE;
}



// main







/*
if($filter=="100"){
	$filter_100=" SELECTED";
}
*/

if($filter=="0"){
	$filter_0=" SELECTED";
}


printf("
<FORM ACTION=$PHP_SELF METHOD=GET>Földrajzi szűrés: 
	<SELECT NAME=filter>
	<OPTION VALUE=0%s>Mindenhol</OPTION>
", $filter_0);


	//$stmt="SELECT * FROM kk_megye WHERE INSTR(kk_megye.nev, 'Budapest')=0 ORDER BY nev";
	$stmt="SELECT * FROM kk_megye ORDER BY ssz";
	$mydb = new db();
	$result=$mydb->query($stmt);

	$megyek=pl_roman_sort($result);

    foreach ($megyek as $current) {
		if($filter==$current[2]){
			$selected=" SELECTED";
		} else {
			$selected="";
		}
		printf("<OPTION VALUE=%s%s>%s</OPTION>\n", $current[2], $selected, $current[0]);
    }

	while ($row = mysql_fetch_object($result)){
		if($filter==$row->id){
			$selected=" SELECTED";
		} else {
			$selected="";
		}
		printf("<OPTION VALUE=%s%s>%s</OPTION>\n", $row->id, $selected, $row->nev);
	}

printf("</SELECT>");



if(!$m==""){
	printf("<INPUT TYPE=HIDDEN NAME=m VALUE=$m>");
}
if(!$c==""){
	printf("<INPUT TYPE=HIDDEN NAME=c VALUE=$c>");
}
printf("
	<INPUT TYPE=SUBMIT VALUE=OK>
	</FORM>
");



// lista
if(!isset($c)){

	p_lista();

} else {



	// kategorialista

	$mydb = new db();
	$stmt="SELECT nev FROM kk_kategoria WHERE id=$c";
	$result=$mydb->query($stmt);
	$row = mysql_fetch_object($result);

	printf("<h5>%s</h5><P>", $row->nev);


	if($next=="" || !isset($next)){
		$next=0;
	}

	if($filter==""){
		$filter="0";
	}
	if($filter2==""){
		$filter2="0";
	}
	if($filter3==""){
		$filter3="0";
	}
	$allfilter="";
	if ($filter)	
	{
		if ($filter==45)	$allfilter=" (megye=45 OR megye2=45 OR megye3=45)";
		elseif ($filter==44)	$allfilter=" (megye=44 OR megye2=44 OR megye3=44)";
		else				$allfilter=" (megye=$filter OR megye2=$filter OR megye3=$filter) ";
	}
	if ($allfilter)	$osszallfilter="($allfilter)";
	
	switch($osszallfilter){
		case "":
			$stmt="SELECT kk_tag.url AS url, kk_tag.id AS id, kk_tag.nev AS nev, kk_tag.ext AS extra FROM kk_tag WHERE (kategoria_1=$c OR ((kategoria_2=$c OR kategoria_3=$c OR kategoria_4=$c OR kategoria_5=$c OR kategoria_6=$c OR kategoria_7=$c OR kategoria_8=$c) AND ext=1)) AND jovahagyva=1 ORDER BY kk_tag.nev";
		break;
/*
		case "100":
			$stmt="SELECT kk_tag.id AS id, kk_tag.nev AS nev, kk_tag.ext AS extra FROM kk_tag LEFT JOIN kk_megye ON kk_megye.id=kk_tag.megye WHERE (kategoria_1=$c OR ((kategoria_2=$c OR kategoria_3=$c OR kategoria_4=$c OR kategoria_5=$c OR kategoria_6=$c OR kategoria_7=$c OR kategoria_8=$c) AND ext=1)) AND jovahagyva=1 AND INSTR(kk_megye.nev, 'Budapest')<>0 ORDER BY kk_tag.nev LIMIT $next, ". NEXTVAL;
		break;
*/
		default:
			$stmt="SELECT kk_tag.url AS url, kk_tag.id AS id, kk_tag.nev AS nev, kk_tag.ext AS extra FROM kk_tag WHERE (kategoria_1=$c OR ((kategoria_2=$c OR kategoria_3=$c OR kategoria_4=$c OR kategoria_5=$c OR kategoria_6=$c OR kategoria_7=$c OR kategoria_8=$c) AND ext=1)) AND jovahagyva=1 AND $osszallfilter ORDER BY kk_tag.nev";
	}



	$result=$mydb->query($stmt);
	$rows=pl_sort($result);
	

	    // abc lista kiirasa
/*
        $letter="";
        $i=0;
        $ini = sprintf("<A HREF=\"%s?c=%s&filter=%s\">Mind</A> | ", $PHP_SELF, $c, $filter);
        while (list($key, $val)=each($rows)) {
            if (is_numeric($val[1])) {
                $val[1] = '0';
                }

            if ($letter!=$val[1]) {
                $ini.=sprintf("<A HREF=\"%s?c=%s&filter=%s&abc=%s\">%s</A> | ", $PHP_SELF, $c, $filter, $val[1], letter_title($val[1]));
                $i++;
                }
            $letter=$val[1];
        }
    	printf(substr($ini, 0, strlen($ini)-2));
        printf("<hr color=#c1c1a6 size=1>");
*/

        $ini = sprintf("<A HREF=\"%s?c=%s&filter=%s\">Mind</A> | ", $PHP_SELF, $c, $filter);
        $all_letter = all_letter();
        while (list($key, $val)=each($all_letter)) {
                $b_link = in_array_letter($val, $rows);
                if ($b_link) {
                    $ini.=sprintf("<A HREF=\"%s?c=%s&filter=%s&abc=%s\">%s</A> | ", $PHP_SELF, $c, $filter, $val, letter_title($val));
                } else {
                    $ini.=sprintf("%s | ", letter_title($val));
                    }
            }
    	printf(substr($ini, 0, strlen($ini)-2));
        printf("<hr color=#c1c1a6 size=1>");




        // csak az adott betuvel kezdodoek
        if (isset($abc) && $abc!='') {
            reset($rows);
            while (list($key, $val)=each($rows)) {
                if (is_numeric($val[1])) {
                    $val[1] = '0';
                    }

                if ($val[1] == $abc) {
                    $new_rows[$key] = $val;
                    }

                }
        } else {
            $new_rows = $rows;
            }


        // oldalakra tores
        $chunk_rows = array_chunk($new_rows, NEXTVAL);

        if (!isset($page)) {
             $page = 0;
            }
        $rows = $chunk_rows[$page];

       

        // maguk a cegek
		foreach ($rows as $key => $value){
            if ($value[3] == 1) {
    			printf("<a href=/szaknevsor/%s><strong>%s</strong></a>", $value[4], $value[0]);
            } else {
    			printf("<a href=c/szaknevsor/%s>%s</a>", $value[4], $value[0]);
                }
            printf("<hr color=#c1c1a6 size=1>");
    		}


        // oldalszamok kiirasa
        $jni = "Oldalak:<BR/>";
        if ($page>0) {
            $jni .= sprintf("<A HREF=\"%s?c=%s&filter=%s&abc=%s&page=%s\">&laquo;</A> | ", $PHP_SELF, $c, $filter, $abc, $page-1);
            }

        for ($j=0;$j<sizeof($chunk_rows);$j++){
            if ($page == $j) {
                $jni .= sprintf("%s | ", $j+1);
            } else {
                $jni .= sprintf("<A HREF=\"%s?c=%s&filter=%s&abc=%s&page=%s\">%s</A> | ", $PHP_SELF, $c, $filter, $abc, $j, $j+1);
                }
            }

        if ($page<sizeof($chunk_rows)-1) {
            $jni .= sprintf("<A HREF=\"%s?c=%s&filter=%s&abc=%s&page=%s\">&raquo;</A> | ", $PHP_SELF, $c, $filter, $abc, $page+1);
            }
     
    	printf(substr($jni, 0, strlen($jni)-2));
}

?>
                </td>
              </tr>
            </table>




